<?php 
session_start(); 
require_once('../conexion.php');
require_once('../include/sesiones.php');
$can=mysqli_query($con,"SELECT MAX(art_id)as art_id FROM articulos") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can);
$art_id=$dato['art_id']+1;
                                                   
$art_referencia=mb_strtoupper(limpiar($_POST['art_referencia']));
$art_nombre=mb_strtoupper(limpiar($_POST['art_nombre']));
$art_ubicacion=mb_strtoupper(limpiar($_POST['art_ubicacion']));
$art_costo=limpiar($_POST['art_costo']);
$art_familia=limpiar($_POST['art_familia']);

$iva_id=limpiar($_POST['art_iva']);
$datos=mysqli_query($con,"SELECT * FROM iva where iva_id='$iva_id' ");
$fila=mysqli_fetch_array($datos);
$art_iva=$fila['iva_porcentaje'];
$tipo_impuesto=$fila['tipo_impuesto'];


$art_pvp=limpiar($_POST['art_pvp']);
$art_comision=limpiar($_POST['art_comision']);

$pro=mysqli_query($con,"SELECT * FROM proveedor where pro_nombre='PROVEEDOR INICIAL' and empresa='$empresa' ") ;
$pro= mysqli_fetch_array($pro);
$pro_id=$pro['pro_id'];

$mar=mysqli_query($con,"SELECT * FROM marca where mar_nombre='SIN MARCA' and empresa='$empresa' ") ;
$mar= mysqli_fetch_array($mar);
$mar_id=$mar['mar_id'];

$can1=mysqli_query($con,"SELECT * FROM articulos where art_referencia='$art_referencia' AND empresa='$empresa'") or die(mysqli_error($con)); 
$result = mysqli_num_rows($can1);
if($result == 0)
{
    $sql1=mysqli_query($con,"INSERT INTO articulos (art_id,art_referencia,art_nombre,art_precio_costo,art_pvp,art_utilidad,art_comision,art_iva,art_tipo_imp,art_estado,art_tipo,familias_fam_id,proveedor_pro_id,marca_mar_id,ubicacion_ubi_id,empresa) 
    VALUES ('$art_id','$art_referencia','$art_nombre','$art_costo','$art_pvp','00','$art_comision','$art_iva','$tipo_impuesto','Activo','servicio','$art_familia','$pro_id','$mar_id','$art_ubicacion','$empresa')") or die(mysqli_error($con));

    echo '<div class="alert alert-success alert-dismissable">
    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
    <strong>Servicio</strong> Registrado correctamente.
    </div>';
}
else
{
    echo '<div class="alert alert-danger alert-dismissable">
    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
    <strong>Referencia no disponible.</strong> 
    </div>';
}
?>